Index: modules/m_stats.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_stats.c,v
retrieving revision 1.219.2.4
diff -b -u -r1.219.2.4 m_stats.c
--- modules/m_stats.c	4 Aug 2004 00:21:11 -0000	1.219.2.4
+++ modules/m_stats.c	19 Aug 2004 22:16:22 -0000
@@ -1347,8 +1304,7 @@
 				    (int) target_p->localClient->receiveK,
 				    CurrentTime - target_p->localClient->firsttime,
 				    (CurrentTime > target_p->localClient->lasttime) ? 
-				     (CurrentTime - target_p->localClient->lasttime) : 0,
-				    "-");
+				   (CurrentTime - target_p->localClient->lasttime) : 0, "-");
 	}
 
 	else
@@ -1364,8 +1320,7 @@
 				   (int) target_p->localClient->receiveK,
 				   CurrentTime - target_p->localClient->firsttime,
 				   (CurrentTime > target_p->localClient->lasttime) ? 
-				    (CurrentTime - target_p->localClient->lasttime) : 0,
-				   "-");
+				   (CurrentTime - target_p->localClient->lasttime) : 0, "-");
 	}
 }
 
@@ -1391,7 +1346,7 @@
 	data.statchar = statchar;
 	data.name = name;
 
-	hook_call_event (doing_stats_hook, &data);
+	hook_call_event(doing_stats_hook, &data);
 }
 
 /* stats_p_spy()
@@ -1401,7 +1356,7 @@
  * side effects - call hook doing_stats_p
  */
 static void
-stats_p_spy (struct Client *source_p)
+stats_p_spy(struct Client *source_p)
 {
 	struct hook_spy_data data;
 
@@ -1409,6 +1364,5 @@
 	data.name = NULL;
 	data.statchar = 'p';
 
-	hook_call_event (doing_stats_p_hook, &data);
+	hook_call_event(doing_stats_p_hook, &data);
 }
-
Index: modules/m_svinfo.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_svinfo.c,v
retrieving revision 1.61
diff -b -u -r1.61 m_svinfo.c
--- modules/m_svinfo.c	5 Apr 2004 02:37:58 -0000	1.61
+++ modules/m_svinfo.c	19 Aug 2004 22:16:23 -0000
@@ -44,6 +44,7 @@
 };
 
 mapi_clist_av1 svinfo_clist[] = { &svinfo_msgtab, NULL };
+
 DECLARE_MODULE_AV1(svinfo, NULL, NULL, svinfo_clist, NULL, NULL, "$Revision: 1.61 $");
 
 /*
@@ -91,7 +92,8 @@
 		ilog(L_SERVER,
 		     "Link %s dropped, excessive TS delta"
 		     " (my TS=%ld, their TS=%ld, delta=%d)",
-		     log_client_name(source_p, SHOW_IP), (long) CurrentTime, (long) theirtime, deltat);
+		     log_client_name(source_p, SHOW_IP), (long) CurrentTime, (long) theirtime,
+		     deltat);
 		exit_client(source_p, source_p, source_p, "Excessive TS delta");
 		return 0;
 	}
@@ -106,4 +108,3 @@
 
 	return 0;
 }
-
Index: modules/m_testline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_testline.c,v
retrieving revision 1.50.2.1
diff -b -u -r1.50.2.1 m_testline.c
--- modules/m_testline.c	3 Aug 2004 20:39:47 -0000	1.50.2.1
+++ modules/m_testline.c	19 Aug 2004 22:16:23 -0000
@@ -54,6 +54,7 @@
 };
 
 mapi_clist_av1 testline_clist[] = { &testline_msgtab, &testgecos_msgtab, NULL };
+
 DECLARE_MODULE_AV1(testline, NULL, NULL, testline_clist, NULL, NULL, "$Revision: 1.50.2.1 $");
 
 static int
@@ -95,14 +96,14 @@
 		host = mask;
 
 	/* parses as an IP, check for a dline */
-	if((type = parse_netmask(host, (struct sockaddr *)&ip, &host_mask)) != HM_HOST)
+	if((type = parse_netmask(host, (struct sockaddr *) &ip, &host_mask)) != HM_HOST)
 	{
 #ifdef IPV6
 		if(type == HM_IPV6)
-			aconf = find_dline((struct sockaddr *)&ip, AF_INET6);
+			aconf = find_dline((struct sockaddr *) &ip, AF_INET6);
 		else
 #endif
-			aconf = find_dline((struct sockaddr *)&ip, AF_INET);
+			aconf = find_dline((struct sockaddr *) &ip, AF_INET);
 
 		if(aconf && aconf->status & CONF_DLINE)
 		{
@@ -119,19 +120,20 @@
 
 	/* now look for a matching I/K/G */
 	if((aconf = find_address_conf(host, username ? username : "dummy",
-				(type != HM_HOST) ? (struct sockaddr *)&ip : NULL,
+				      (type != HM_HOST) ? (struct sockaddr *) &ip : NULL,
 				(type != HM_HOST) ? (
 #ifdef IPV6
-				 (type == HM_IPV6) ? AF_INET6 : 
+										(type ==
+										 HM_IPV6) ? AF_INET6
+										:
 #endif
 				  AF_INET) : 0)))
 	{
-		static char buf[HOSTLEN+USERLEN+2];
+		static char buf[HOSTLEN + USERLEN + 2];
 
 		if(aconf->status & CONF_KILL)
 		{
-			ircsnprintf(buf, sizeof(buf), "%s@%s", 
-					aconf->user, aconf->host);
+			ircsnprintf(buf, sizeof(buf), "%s@%s", aconf->user, aconf->host);
 			sendto_one(source_p, form_str(RPL_TESTLINE),
 				me.name, source_p->name,
 				(aconf->flags & CONF_FLAGS_TEMPORARY) ? 'k' : 'K',
@@ -142,8 +144,7 @@
 		}
 		else if(aconf->status & CONF_GLINE)
 		{
-			ircsnprintf(buf, sizeof(buf), "%s@%s",
-					aconf->user, aconf->host);
+			ircsnprintf(buf, sizeof(buf), "%s@%s", aconf->user, aconf->host);
 			sendto_one(source_p, form_str(RPL_TESTLINE),
 				me.name, source_p->name,
 				'G', (long) ((aconf->hold - CurrentTime) / 60),
@@ -173,8 +174,7 @@
 	}
 
 	/* nothing matches.. */
-	sendto_one(source_p, form_str(RPL_NOTESTLINE),
-			me.name, source_p->name, parv[1]);
+	sendto_one(source_p, form_str(RPL_NOTESTLINE), me.name, source_p->name, parv[1]);
 	return 0;
 }
 
@@ -185,8 +185,7 @@
 
 	if(!(aconf = find_xline(parv[1], 0)))
 	{
-		sendto_one(source_p, form_str(RPL_NOTESTLINE),
-				me.name, source_p->name, parv[1]);
+		sendto_one(source_p, form_str(RPL_NOTESTLINE), me.name, source_p->name, parv[1]);
 		return 0;
 	}
 
Index: modules/m_testmask.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_testmask.c,v
retrieving revision 1.2
diff -b -u -r1.2 m_testmask.c
--- modules/m_testmask.c	5 Apr 2004 20:01:24 -0000	1.2
+++ modules/m_testmask.c	19 Aug 2004 22:16:23 -0000
@@ -57,11 +57,11 @@
 };
 
 mapi_clist_av1 testmask_clist[] = { &testmask_msgtab, NULL };
+
 DECLARE_MODULE_AV1(testmask, NULL, NULL, testmask_clist, NULL, NULL, "$Revision: 1.2 $");
 
 static int
-mo_testmask(struct Client *client_p, struct Client *source_p,
-                        int parc, const char *parv[])
+mo_testmask(struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
 {
 	struct Client *target_p;
 	int lcount = 0;
@@ -75,8 +75,7 @@
 
 	if((hostname = strchr(username, '@')) == NULL)
 	{
-		sendto_one(source_p, ":%s NOTICE %s :Invalid parameters",
-				me.name, source_p->name);
+		sendto_one(source_p, ":%s NOTICE %s :Invalid parameters", me.name, source_p->name);
 		return 0;
 	}
 
@@ -89,8 +88,7 @@
 		if(!IsPerson(target_p))
 			continue;
 
-		if(match(username, target_p->username) &&
-		   match(hostname, target_p->host))
+		if(match(username, target_p->username) && match(hostname, target_p->host))
 		{
 			if(MyClient(target_p))
 				lcount++;
@@ -100,7 +98,6 @@
 	}
 
 	sendto_one(source_p, form_str(RPL_TESTMASK),
-			me.name, source_p->name, username, hostname,
-			lcount, gcount);
+		   me.name, source_p->name, username, hostname, lcount, gcount);
 	return 0;
 }
Index: modules/m_time.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_time.c,v
retrieving revision 1.45
diff -b -u -r1.45 m_time.c
--- modules/m_time.c	15 Mar 2004 17:58:03 -0000	1.45
+++ modules/m_time.c	19 Aug 2004 22:16:23 -0000
@@ -46,6 +46,7 @@
 };
 
 mapi_clist_av1 time_clist[] = { &time_msgtab, NULL };
+
 DECLARE_MODULE_AV1(time, NULL, NULL, time_clist, NULL, NULL, "$Revision: 1.45 $");
 
 static const char *months[] = {
@@ -72,8 +73,7 @@
 		flood_endgrace(source_p);
 
 	if(hunt_server(client_p, source_p, ":%s TIME :%s", 1, parc, parv) == HUNTED_ISME)
-		sendto_one_numeric(source_p, RPL_TIME, form_str(RPL_TIME),
-				   me.name, date());
+		sendto_one_numeric(source_p, RPL_TIME, form_str(RPL_TIME), me.name, date());
 
 	return 0;
 }
Index: modules/m_trace.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_trace.c,v
retrieving revision 1.97.2.3
diff -b -u -r1.97.2.3 m_trace.c
--- modules/m_trace.c	4 Aug 2004 00:21:11 -0000	1.97.2.3
+++ modules/m_trace.c	19 Aug 2004 22:16:23 -0000
@@ -56,9 +56,10 @@
 
 mapi_clist_av1 trace_clist[] = { &trace_msgtab, NULL };
 mapi_hlist_av1 trace_hlist[] = {
-	{ "doing_trace",	&doing_trace_hook },
-	{ NULL, NULL }
+	{"doing_trace", &doing_trace_hook},
+	{NULL, NULL}
 };
+
 DECLARE_MODULE_AV1(trace, NULL, NULL, trace_clist, trace_hlist, NULL, "$Revision: 1.97.2.3 $");
 
 static int report_this_status(struct Client *source_p, struct Client *target_p, int dow,
@@ -173,8 +174,7 @@
 
 		trace_spy(source_p, tname);
 
-		sendto_one_numeric(source_p, RPL_ENDOFTRACE, 
-				   form_str(RPL_ENDOFTRACE), tname);
+		sendto_one_numeric(source_p, RPL_ENDOFTRACE, form_str(RPL_ENDOFTRACE), tname);
 		return 0;
 	}
 
@@ -192,7 +192,8 @@
 		{
 			target_p = ptr->data;
 
-			link_u[target_p->from->localClient->fd] += dlink_list_length(&target_p->serv->users);
+			link_u[target_p->from->localClient->fd] +=
+				dlink_list_length(&target_p->serv->users);
 			link_s[target_p->from->localClient->fd]++;
 		}
 	}
@@ -230,8 +231,7 @@
 					link_s[target_p->localClient->fd]);
 		}
 
-		sendto_one_numeric(source_p, RPL_ENDOFTRACE, 
-				   form_str(RPL_ENDOFTRACE), tname);
+		sendto_one_numeric(source_p, RPL_ENDOFTRACE, form_str(RPL_ENDOFTRACE), tname);
 		return 0;
 	}
 
@@ -295,8 +295,7 @@
 		/* let the user have some idea that its at the end of the
 		 * trace
 		 */
-		sendto_one_numeric(source_p, RPL_ENDOFTRACE, 
-				   form_str(RPL_ENDOFTRACE), tname);
+		sendto_one_numeric(source_p, RPL_ENDOFTRACE, form_str(RPL_ENDOFTRACE), tname);
 		return 0;
 	}
 
@@ -339,7 +338,7 @@
 	if(!MyConnect(target_p))
 		return 0;
 
-	inetntop_sock((struct sockaddr *)&target_p->localClient->ip, ip, sizeof(ip));
+	inetntop_sock((struct sockaddr *) &target_p->localClient->ip, ip, sizeof(ip));
 	class_name = get_client_class(target_p);
 
 	if(IsAnyServer(target_p))
@@ -351,15 +350,13 @@
 	{
 	case STAT_CONNECTING:
 		sendto_one_numeric(source_p, RPL_TRACECONNECTING,
-				form_str(RPL_TRACECONNECTING),
-				class_name, name);
+				   form_str(RPL_TRACECONNECTING), class_name, name);
 		cnt++;
 		break;
 
 	case STAT_HANDSHAKE:
 		sendto_one_numeric(source_p, RPL_TRACEHANDSHAKE,
-				form_str(RPL_TRACEHANDSHAKE),
-				class_name, name);
+				   form_str(RPL_TRACEHANDSHAKE), class_name, name);
 		cnt++;
 		break;
 
@@ -385,8 +382,7 @@
 		{
 			if(IsOper(target_p))
 				sendto_one_numeric(source_p, RPL_TRACEOPERATOR,
-						   form_str(RPL_TRACEOPERATOR),
-						   class_name, name,
+						   form_str(RPL_TRACEOPERATOR), class_name, name,
 #ifndef HIDE_SPOOF_IPS
 						   MyOper(source_p) ? ip :
 #endif
@@ -396,8 +392,7 @@
 
 			else
 				sendto_one_numeric(source_p, RPL_TRACEUSER, 
-						   form_str(RPL_TRACEUSER),
-						   class_name, name,
+						   form_str(RPL_TRACEUSER), class_name, name,
 #ifndef HIDE_SPOOF_IPS
 						   MyOper(source_p) ? ip :
 #endif
@@ -418,8 +413,7 @@
 
 	default:		/* ...we actually shouldn't come here... --msa */
 		sendto_one_numeric(source_p, RPL_TRACENEWTYPE, 
-				   form_str(RPL_TRACENEWTYPE), 
-				   me.name, source_p->name, name);
+				   form_str(RPL_TRACENEWTYPE), me.name, source_p->name, name);
 		cnt++;
 		break;
 	}
Index: modules/m_userhost.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_userhost.c,v
retrieving revision 1.56
diff -b -u -r1.56 m_userhost.c
--- modules/m_userhost.c	15 Mar 2004 17:58:03 -0000	1.56
+++ modules/m_userhost.c	19 Aug 2004 22:16:24 -0000
@@ -47,6 +47,7 @@
 };
 
 mapi_clist_av1 userhost_clist[] = { &userhost_msgtab, NULL };
+
 DECLARE_MODULE_AV1(userhost, NULL, NULL, userhost_clist, NULL, NULL, "$Revision: 1.56 $");
 
 /*
@@ -67,7 +68,7 @@
 	cur_len = ircsprintf(buf, form_str(RPL_USERHOST), me.name, parv[0], "");
 	t = buf + cur_len;
 
-	for (i = 1; i < 5; i++)
+	for(i = 1; i < 5; i++)
 	{
 		if(parc < i + 1)
 			break;
@@ -86,8 +87,7 @@
 						target_p->name,
 						IsOper(target_p) ? "*" : "",
 						(target_p->user->away) ? '-' : '+',
-						target_p->username,
-						target_p->sockhost);
+						target_p->username, target_p->sockhost);
 			}
 			else
 			{
Index: modules/m_users.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/Attic/m_users.c,v
retrieving revision 1.43
diff -b -u -r1.43 m_users.c
--- modules/m_users.c	15 Mar 2004 17:58:03 -0000	1.43
+++ modules/m_users.c	19 Aug 2004 22:16:24 -0000
@@ -43,6 +43,7 @@
 };
 
 mapi_clist_av1 users_clist[] = { &users_msgtab, NULL };
+
 DECLARE_MODULE_AV1(users, NULL, NULL, users_clist, NULL, NULL, "$Revision: 1.43 $");
 
 /*
@@ -57,12 +58,10 @@
 	{
 		sendto_one_numeric(source_p, RPL_LOCALUSERS,
 				   form_str(RPL_LOCALUSERS),
-				   dlink_list_length(&lclient_list), 
-				   Count.max_loc);
+				   dlink_list_length(&lclient_list), Count.max_loc);
 
 		sendto_one_numeric(source_p, RPL_GLOBALUSERS, 
-				   form_str(RPL_GLOBALUSERS),
-				   Count.total, Count.max_tot);
+				   form_str(RPL_GLOBALUSERS), Count.total, Count.max_tot);
 	}
 
 	return 0;
Index: modules/m_version.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_version.c,v
retrieving revision 1.65
diff -b -u -r1.65 m_version.c
--- modules/m_version.c	21 Apr 2004 14:16:08 -0000	1.65
+++ modules/m_version.c	19 Aug 2004 22:16:24 -0000
@@ -47,6 +47,7 @@
 };
 
 mapi_clist_av1 version_clist[] = { &version_msgtab, NULL };
+
 DECLARE_MODULE_AV1(version, NULL, NULL, version_clist, NULL, NULL, "$Revision: 1.65 $");
 
 /*
@@ -76,8 +77,7 @@
 	}
 
 	sendto_one_numeric(source_p, RPL_VERSION, form_str(RPL_VERSION),
-			   ircd_version, serno,
-			   me.name, confopts(source_p), TS_CURRENT);
+			   ircd_version, serno, me.name, confopts(source_p), TS_CURRENT);
 
 	show_isupport(source_p);
 
@@ -95,8 +95,7 @@
 	if(hunt_server(client_p, source_p, ":%s VERSION :%s", 1, parc, parv) == HUNTED_ISME)
 	{
 		sendto_one_numeric(source_p, RPL_VERSION, form_str(RPL_VERSION),
-				   ircd_version, serno, 
-				   me.name, confopts(source_p), TS_CURRENT);
+				   ircd_version, serno, me.name, confopts(source_p), TS_CURRENT);
 		show_isupport(source_p);
 	}
 
Index: modules/m_wallops.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_wallops.c,v
retrieving revision 1.56
diff -b -u -r1.56 m_wallops.c
--- modules/m_wallops.c	15 Mar 2004 17:58:03 -0000	1.56
+++ modules/m_wallops.c	19 Aug 2004 22:16:24 -0000
@@ -52,6 +52,7 @@
 };
 
 mapi_clist_av1 wallops_clist[] = { &wallops_msgtab, &operwall_msgtab, NULL };
+
 DECLARE_MODULE_AV1(wallops, NULL, NULL, wallops_clist, NULL, NULL, "$Revision: 1.56 $");
 
 /*
@@ -63,16 +64,14 @@
 {
 	if(!IsOperOperwall(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "operwall");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "operwall");
 		return 0;
 	}
 
 	sendto_wallops_flags(UMODE_OPERWALL, source_p, "OPERWALL - %s", parv[1]);
 	sendto_server(client_p, NULL, CAP_TS6, NOCAPS, ":%s OPERWALL :%s", 
 		      use_id(source_p), parv[1]);
-	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s OPERWALL :%s", 
-		      source_p->name, parv[1]);
+	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s OPERWALL :%s", source_p->name, parv[1]);
 
 	return 0;
 }
@@ -88,8 +87,7 @@
 {
 	sendto_server(client_p, NULL, CAP_TS6, NOCAPS, ":%s OPERWALL :%s",
 		      use_id(source_p), parv[1]);
-	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s OPERWALL :%s",
-		      source_p->name, parv[1]);
+	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s OPERWALL :%s", source_p->name, parv[1]);
 	sendto_wallops_flags(UMODE_OPERWALL, source_p, "OPERWALL - %s", parv[1]);
 
 	return 0;
@@ -109,8 +107,7 @@
 
 	sendto_server(client_p, NULL, CAP_TS6, NOCAPS, ":%s WALLOPS :%s", 
 		      use_id(source_p), parv[1]);
-	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s WALLOPS :%s", 
-		      source_p->name, parv[1]);
+	sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s WALLOPS :%s", source_p->name, parv[1]);
 
 	return 0;
 }
Index: modules/m_who.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_who.c,v
retrieving revision 1.112
diff -b -u -r1.112 m_who.c
--- modules/m_who.c	21 Apr 2004 14:19:26 -0000	1.112
+++ modules/m_who.c	19 Aug 2004 22:16:24 -0000
@@ -51,6 +51,7 @@
 };
 
 mapi_clist_av1 who_clist[] = { &who_msgtab, NULL };
+
 DECLARE_MODULE_AV1(who, NULL, NULL, who_clist, NULL, NULL, "$Revision: 1.112 $");
 
 static void do_who_on_channel(struct Client *source_p, struct Channel *chptr,
@@ -97,8 +98,7 @@
 			do_who_on_channel(source_p, msptr->chptr, server_oper, YES);
 		}
 
-		sendto_one(source_p, form_str(RPL_ENDOFWHO),
-			   me.name, source_p->name, "*");
+		sendto_one(source_p, form_str(RPL_ENDOFWHO), me.name, source_p->name, "*");
 		return 0;
 	}
 
@@ -130,15 +130,13 @@
 			else if(!SecretChannel(chptr))
 				do_who_on_channel(source_p, chptr, server_oper, NO);
 		}
-		sendto_one(source_p, form_str(RPL_ENDOFWHO),
-			   me.name, source_p->name, mask);
+		sendto_one(source_p, form_str(RPL_ENDOFWHO), me.name, source_p->name, mask);
 		return 0;
 	}
 
 	/* '/who nick' */
 
-	if(((target_p = find_named_person(mask)) != NULL) &&
-	   (!server_oper || IsOper(target_p)))
+	if(((target_p = find_named_person(mask)) != NULL) && (!server_oper || IsOper(target_p)))
 	{
 		int isinvis = 0;
 
@@ -162,12 +160,11 @@
 		 */
 		if(lp != NULL)
 			do_who(source_p, target_p, chptr->chname,
-			       find_channel_status(lp->data, 0));
+			       find_channel_status(lp->data, 0, 1));
 		else
 			do_who(source_p, target_p, NULL, "");
 
-		sendto_one(source_p, form_str(RPL_ENDOFWHO), 
-			   me.name, source_p->name, mask);
+		sendto_one(source_p, form_str(RPL_ENDOFWHO), me.name, source_p->name, mask);
 		return 0;
 	}
 
@@ -179,10 +176,8 @@
 	{
 		if((last_used + ConfigFileEntry.pace_wait) > CurrentTime)
 		{
-			sendto_one(source_p, form_str(RPL_LOAD2HI),
-					me.name, source_p->name, "WHO");
-			sendto_one(source_p, form_str(RPL_ENDOFWHO),
-				   me.name, source_p->name, "*");
+			sendto_one(source_p, form_str(RPL_LOAD2HI), me.name, source_p->name, "WHO");
+			sendto_one(source_p, form_str(RPL_ENDOFWHO), me.name, source_p->name, "*");
 			return 0;
 		}
 		else
@@ -198,8 +193,7 @@
 	else
 		who_global(source_p, mask, server_oper, operspy);
 
-	sendto_one(source_p, form_str(RPL_ENDOFWHO),
-		   me.name, source_p->name, mask);
+	sendto_one(source_p, form_str(RPL_ENDOFWHO), me.name, source_p->name, mask);
 
 	return 0;
 }
@@ -332,8 +326,7 @@
  * side effects - do a who on given channel
  */
 static void
-do_who_on_channel(struct Client *source_p, struct Channel *chptr,
-		  int server_oper, int member)
+do_who_on_channel(struct Client *source_p, struct Channel *chptr, int server_oper, int member)
 {
 	struct Client *target_p;
 	struct membership *msptr;
@@ -348,8 +341,7 @@
 			continue;
 
 		if(member || !IsInvisible(target_p))
-			do_who(source_p, target_p, chptr->chname,
-			       find_channel_status(msptr, 0));
+			do_who(source_p, target_p, chptr->chname, find_channel_status(msptr, 0, 1));
 	}
 }
 
@@ -376,7 +368,5 @@
 		   (chname) ? (chname) : "*",
 		   target_p->username,
 		   target_p->host, target_p->user->server, target_p->name,
-		   status, 
-		   ConfigServerHide.flatten_links ? 0 : target_p->hopcount, 
-		   target_p->info);
+		   status, ConfigServerHide.flatten_links ? 0 : target_p->hopcount, target_p->info);
 }
Index: modules/m_whois.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_whois.c,v
retrieving revision 1.140.2.2
diff -b -u -r1.140.2.2 m_whois.c
--- modules/m_whois.c	4 Aug 2004 00:21:11 -0000	1.140.2.2
+++ modules/m_whois.c	19 Aug 2004 22:16:24 -0000
@@ -46,7 +46,8 @@
 #include "hook.h"
 #include "s_newconf.h"
 
-static void do_whois(struct Client *client_p, struct Client *source_p, int parc, const char *parv[]);
+static void do_whois(struct Client *client_p, struct Client *source_p, int parc,
+		     const char *parv[]);
 static void single_whois(struct Client *source_p, struct Client *target_p, int operspy);
 
 static int m_whois(struct Client *, struct Client *, int, const char **);
@@ -62,9 +63,9 @@
 
 mapi_clist_av1 whois_clist[] = { &whois_msgtab, NULL };
 mapi_hlist_av1 whois_hlist[] = {
-	{ "doing_whois",	&doing_whois_hook },
-	{ "doing_whois_global",	&doing_whois_global_hook },
-	{ NULL, NULL }
+	{"doing_whois", &doing_whois_hook},
+	{"doing_whois_global", &doing_whois_global_hook},
+	{NULL, NULL}
 };
 
 DECLARE_MODULE_AV1(whois, NULL, NULL, whois_clist, whois_hlist, NULL, "$Revision: 1.140.2.2 $");
@@ -123,8 +124,7 @@
 	if((target_p = find_client(parv[1])) == NULL)
 	{
 		sendto_one_numeric(source_p, ERR_NOSUCHSERVER,
-				   form_str(ERR_NOSUCHSERVER), 
-				   IsDigit(parv[1][0]) ? "*" : parv[1]);
+				   form_str(ERR_NOSUCHSERVER), IsDigit(parv[1][0]) ? "*" : parv[1]);
 		return 0;
 	}
 
@@ -134,8 +134,7 @@
 	if(!MyClient(target_p) && !IsMe(target_p))
 	{
 		sendto_one(target_p, ":%s WHOIS %s :%s", 
-			   get_id(source_p, target_p), 
-			   get_id(target_p, target_p), parv[2]);
+			   get_id(source_p, target_p), get_id(target_p, target_p), parv[2]);
 		return 0;
 	}
 
@@ -194,11 +193,9 @@
 	}
 	else
 		sendto_one_numeric(source_p, ERR_NOSUCHNICK,
-				   form_str(ERR_NOSUCHNICK), 
-				   IsDigit(*nick) ? "*" : parv[1]);
+				   form_str(ERR_NOSUCHNICK), IsDigit(*nick) ? "*" : parv[1]);
 
-	sendto_one_numeric(source_p, RPL_ENDOFWHOIS, 
-			   form_str(RPL_ENDOFWHOIS), parv[1]);
+	sendto_one_numeric(source_p, RPL_ENDOFWHOIS, form_str(RPL_ENDOFWHOIS), parv[1]);
 	return;
 }
 
@@ -242,8 +239,7 @@
 	a2client_p = target_p->servptr;
 
 	sendto_one_numeric(source_p, RPL_WHOISUSER, form_str(RPL_WHOISUSER),
-			   target_p->name, target_p->username, 
-			   target_p->host, target_p->info);
+			   target_p->name, target_p->username, target_p->host, target_p->info);
 
 	cur_len = mlen = ircsprintf(buf, form_str(RPL_WHOISCHANNELS), 
 				    get_id(&me, source_p), get_id(source_p, source_p), 
@@ -269,8 +265,7 @@
 
 			tlen = ircsprintf(t, "%s%s%s ",
 					visible ? "" : "!",
-					find_channel_status(msptr, 1),
-					chptr->chname);
+					  find_channel_status(msptr, 1, 1), chptr->chname);
 			t += tlen;
 			cur_len += tlen;
 		}
@@ -333,4 +328,3 @@
 
 	return;
 }
-
Index: modules/m_whowas.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_whowas.c,v
retrieving revision 1.49
diff -b -u -r1.49 m_whowas.c
--- modules/m_whowas.c	15 Mar 2004 17:58:03 -0000	1.49
+++ modules/m_whowas.c	19 Aug 2004 22:16:24 -0000
@@ -49,6 +49,7 @@
 };
 
 mapi_clist_av1 whowas_clist[] = { &whowas_msgtab, NULL };
+
 DECLARE_MODULE_AV1(whowas, NULL, NULL, whowas_clist, NULL, NULL, "$Revision: 1.49 $");
 
 /*
@@ -98,7 +99,7 @@
 
 	temp = WHOWASHASH[hash_whowas_name(nick)];
 	found = 0;
-	for (; temp; temp = temp->next)
+	for(; temp; temp = temp->next)
 	{
 		if(!irccmp(nick, temp->name))
 		{
@@ -108,8 +109,7 @@
 
 			sendto_one_numeric(source_p, RPL_WHOISSERVER,
 					   form_str(RPL_WHOISSERVER),
-					   temp->name, temp->servername,
-					   myctime(temp->logoff));
+					   temp->name, temp->servername, myctime(temp->logoff));
 			cur++;
 			found++;
 		}
@@ -118,10 +118,8 @@
 	}
 
 	if(!found)
-		sendto_one(source_p, form_str(ERR_WASNOSUCHNICK), 
-			   me.name, source_p->name, nick);
+		sendto_one(source_p, form_str(ERR_WASNOSUCHNICK), me.name, source_p->name, nick);
 
-	sendto_one(source_p, form_str(RPL_ENDOFWHOWAS), 
-		   me.name, source_p->name, parv[1]);
+	sendto_one(source_p, form_str(RPL_ENDOFWHOWAS), me.name, source_p->name, parv[1]);
 	return 0;
 }
